#include "subtask1.hpp"
#include <iostream>
#include <list>
int main() {
  sjtu::map<int, int> mp;
  for (int i = 1; i <= 10; i++) mp[i] = i + 5;
  for (auto item : mp) {
    std::cout << item.first << " " << item.second << std::endl;
  }
  int a[10] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
  std::vector<int> b = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
  sjtu::my_sort(mp.begin(), mp.end());
  sjtu::my_sort(a, a + 10);
  sjtu::my_sort(b.begin(), b.end());
  std::list<int> lst = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
  // sjtu::my_sort(lst.begin(), lst.end());
  return 0;
}